<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports.css" rel="stylesheet" />
    <script type="text/javascript" src="jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" class="collapse-all-link" title="Collapse/expand all the suites">
          <img class="collapse-all-icon" src="collapseall.gif">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" class="navigator-link" panel-name="suite-Suite">
              <span class="suite-name border-passed">Suite</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" class="navigator-link " panel-name="test-xml-Suite">
                    <span>C:\Users\alifi\sapawarga-test-webadmin\Loginsuite.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="testlist-Suite">
                    <span class="test-stats">6 tests</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="group-Suite">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="times-Suite">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="reporter-Suite">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="ignored-methods-Suite">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="chronological-Suite">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">6 methods,   6 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-Suite" class="hide-methods passed suite-Suite"> (hide)</a> <!-- hide-methods passed suite-Suite -->
                      <a href="#" panel-name="suite-Suite" class="show-methods passed suite-Suite"> (show)</a> <!-- show-methods passed suite-Suite -->
                    </span>
                    <div class="method-list-content passed suite-Suite">
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.Test_LoginAdmin" hash-for-method="Login_TestingAdmin">Login_TestingAdmin</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.Test_LoginPimpinan" hash-for-method="Login_TestingPimpinan">Login_TestingPimpinan</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.Test_LoginSaberHoax" hash-for-method="Login_TestingSaberhoax">Login_TestingSaberhoax</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.Test_LoginStaffProv" hash-for-method="Login_TestingStaffProv">Login_TestingStaffProv</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.Test_LoginStaffkec" hash-for-method="Login_TestingStaffkec">Login_TestingStaffkec</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.Test_LoginStaffkel" hash-for-method="Login_TestingStaffkel">Login_TestingStaffkel</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-Suite -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-Suite" class="panel Suite">
          <div class="suite-Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">test.Test_LoginStaffkel</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="Login_TestingStaffkel">
                  </a> <!-- Login_TestingStaffkel -->
                  <span class="method-name">Login_TestingStaffkel</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Suite-class-passed -->
          <div class="suite-Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">test.Test_LoginStaffkec</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="Login_TestingStaffkec">
                  </a> <!-- Login_TestingStaffkec -->
                  <span class="method-name">Login_TestingStaffkec</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Suite-class-passed -->
          <div class="suite-Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">test.Test_LoginStaffProv</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="Login_TestingStaffProv">
                  </a> <!-- Login_TestingStaffProv -->
                  <span class="method-name">Login_TestingStaffProv</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Suite-class-passed -->
          <div class="suite-Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">test.Test_LoginPimpinan</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="Login_TestingPimpinan">
                  </a> <!-- Login_TestingPimpinan -->
                  <span class="method-name">Login_TestingPimpinan</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Suite-class-passed -->
          <div class="suite-Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">test.Test_LoginAdmin</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="Login_TestingAdmin">
                  </a> <!-- Login_TestingAdmin -->
                  <span class="method-name">Login_TestingAdmin</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Suite-class-passed -->
          <div class="suite-Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">test.Test_LoginSaberHoax</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="Login_TestingSaberhoax">
                  </a> <!-- Login_TestingSaberhoax -->
                  <span class="method-name">Login_TestingSaberhoax</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Suite-class-passed -->
        </div> <!-- panel Suite -->
        <div panel-name="test-xml-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">C:\Users\alifi\sapawarga-test-webadmin\Loginsuite.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;http://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite guice-stage=&quot;DEVELOPMENT&quot; name=&quot;Suite&quot;&gt;
  &lt;test thread-count=&quot;10&quot; name=&quot;Test_LoginStaffkel&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;test.Test_LoginStaffkel&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Test_LoginStaffkel --&gt;
  &lt;test thread-count=&quot;10&quot; name=&quot;Test_LoginAdmin&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;test.Test_LoginAdmin&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Test_LoginAdmin --&gt;
  &lt;test thread-count=&quot;10&quot; name=&quot;Test_LoginPimpinan&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;test.Test_LoginPimpinan&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Test_LoginPimpinan --&gt;
  &lt;test thread-count=&quot;10&quot; name=&quot;Test_LoginSaberHoax&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;test.Test_LoginSaberHoax&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Test_LoginSaberHoax --&gt;
  &lt;test thread-count=&quot;10&quot; name=&quot;Test_LoginStaffProv&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;test.Test_LoginStaffProv&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Test_LoginStaffProv --&gt;
  &lt;test thread-count=&quot;10&quot; name=&quot;Test_LoginStaffkec&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;test.Test_LoginStaffkec&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Test_LoginStaffkec --&gt;
&lt;/suite&gt; &lt;!-- Suite --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Test_LoginStaffkel (1 class)</span>
              </li>
              <li>
                <span class="test-name">Test_LoginAdmin (1 class)</span>
              </li>
              <li>
                <span class="test-name">Test_LoginPimpinan (1 class)</span>
              </li>
              <li>
                <span class="test-name">Test_LoginSaberHoax (1 class)</span>
              </li>
              <li>
                <span class="test-name">Test_LoginStaffProv (1 class)</span>
              </li>
              <li>
                <span class="test-name">Test_LoginStaffkec (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_Suite');
function tableData_Suite() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(6);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'Login_TestingStaffkec')
data.setCell(0, 2, 'test.Test_LoginStaffkec')
data.setCell(0, 3, 6475);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'Login_TestingStaffkel')
data.setCell(1, 2, 'test.Test_LoginStaffkel')
data.setCell(1, 3, 6369);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'Login_TestingStaffProv')
data.setCell(2, 2, 'test.Test_LoginStaffProv')
data.setCell(2, 3, 6326);
data.setCell(3, 0, 3)
data.setCell(3, 1, 'Login_TestingSaberhoax')
data.setCell(3, 2, 'test.Test_LoginSaberHoax')
data.setCell(3, 3, 6271);
data.setCell(4, 0, 4)
data.setCell(4, 1, 'Login_TestingAdmin')
data.setCell(4, 2, 'test.Test_LoginAdmin')
data.setCell(4, 3, 6260);
data.setCell(5, 0, 5)
data.setCell(5, 1, 'Login_TestingPimpinan')
data.setCell(5, 2, 'test.Test_LoginPimpinan')
data.setCell(5, 3, 6250);
window.suiteTableData['Suite']= { tableData: data, tableDiv: 'times-div-Suite'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 37 seconds</span>
              <div id="times-div-Suite">
              </div> <!-- times-div-Suite -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">test.Test_LoginStaffkel</div> <!-- chronological-class-name -->
              <div class="configuration-class before">
                <span class="method-name">setUp</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-class before -->
              <div class="test-method">
                <span class="method-name">Login_TestingStaffkel</span>
                <span class="method-start">9499 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-class after">
                <span class="method-name">tearDown</span>
                <span class="method-start">15968 ms</span>
              </div> <!-- configuration-class after -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">test.Test_LoginAdmin</div> <!-- chronological-class-name -->
              <div class="configuration-class before">
                <span class="method-name">setUp</span>
                <span class="method-start">26961 ms</span>
              </div> <!-- configuration-class before -->
              <div class="test-method">
                <span class="method-name">Login_TestingAdmin</span>
                <span class="method-start">35446 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-class after">
                <span class="method-name">tearDown</span>
                <span class="method-start">41712 ms</span>
              </div> <!-- configuration-class after -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">test.Test_LoginPimpinan</div> <!-- chronological-class-name -->
              <div class="configuration-class before">
                <span class="method-name">setUp</span>
                <span class="method-start">48285 ms</span>
              </div> <!-- configuration-class before -->
              <div class="test-method">
                <span class="method-name">Login_TestingPimpinan</span>
                <span class="method-start">56434 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-class after">
                <span class="method-name">tearDown</span>
                <span class="method-start">62690 ms</span>
              </div> <!-- configuration-class after -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">test.Test_LoginSaberHoax</div> <!-- chronological-class-name -->
              <div class="configuration-class before">
                <span class="method-name">setUp</span>
                <span class="method-start">68503 ms</span>
              </div> <!-- configuration-class before -->
              <div class="test-method">
                <span class="method-name">Login_TestingSaberhoax</span>
                <span class="method-start">78297 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-class after">
                <span class="method-name">tearDown</span>
                <span class="method-start">84740 ms</span>
              </div> <!-- configuration-class after -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">test.Test_LoginStaffProv</div> <!-- chronological-class-name -->
              <div class="configuration-class before">
                <span class="method-name">setUp</span>
                <span class="method-start">89785 ms</span>
              </div> <!-- configuration-class before -->
              <div class="test-method">
                <span class="method-name">Login_TestingStaffProv</span>
                <span class="method-start">97384 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-class after">
                <span class="method-name">tearDown</span>
                <span class="method-start">103717 ms</span>
              </div> <!-- configuration-class after -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">test.Test_LoginStaffkec</div> <!-- chronological-class-name -->
              <div class="configuration-class before">
                <span class="method-name">setUp</span>
                <span class="method-start">113537 ms</span>
              </div> <!-- configuration-class before -->
              <div class="test-method">
                <span class="method-name">Login_TestingStaffkec</span>
                <span class="method-start">121074 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-class after">
                <span class="method-name">tearDown</span>
                <span class="method-start">127555 ms</span>
              </div> <!-- configuration-class after -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
</html>
